# OpalInstantMessage Struct Reference

`#include <opal.h>`

## Data Fields

const char * | m_from
const char * | m_to
const char * | m_host
const char * | m_conversationId
const char * | m_textBody
unsigned | m_bodyCount
const char ** | m_mimeType
const char ** | m_bodies
unsigned | m_messageId

## Detailed Description

Opal Instant Message information for the various presence messages. This can be filled out and used in the OpalCmdSendIM command. The result of that transmission is returned by OpalIndSentIM, where m_textBody contains a string indicating the disposition of the message.

The OpalIndReceiveIM message uses this structure for incoming instant messages from a remote.

## Field Documentation

const char** OpalInstantMessage::m_bodies

Body data for each MIME type

unsigned OpalInstantMessage::m_bodyCount

Count of bodies in m_mimeType and m_bodies

const char* OpalInstantMessage::m_conversationId

Conversation identifier. This may be provided by the caller if athe conversation exists. If starting a new conversation, leave empty and OpalCmdSendIM will return it.

const char* OpalInstantMessage::m_from

Address from whom the message is sent.

const char* OpalInstantMessage::m_host

Optional host/proxy. If blank then it is derived from the m_to address.

unsigned OpalInstantMessage::m_messageId

Identifer for this message. This can be used to match a message sent with OpalCmdSendIM with the disposition in OpalIndSentIM. It is not set by the user, and is returned by OpalCmdSendIM.

const char** OpalInstantMessage::m_mimeType

MIME type for each body, e.g. "text/html"

const char* OpalInstantMessage::m_textBody

Simple text body, ignored if m_bodyCount > 0. This will always be MIME type "text/plain"

const char* OpalInstantMessage::m_to

Address to which the message is sent.

The documentation for this struct was generated from the following file:

- opal.h